/[debian]/bti/trunk/Makefile.in
ViewVC logotype

Annotation of /bti/trunk/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1690 - (hide annotations)
Wed Apr 15 14:38:38 2009 UTC (12 years ago) by gregoa
File size: 21151 byte(s)
New upstream release.
1 gregoa 1680 # Makefile.in generated by automake 1.10.2 from Makefile.am.
2     # @configure_input@
3    
4     # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5     # 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
6     # This Makefile.in is free software; the Free Software Foundation
7     # gives unlimited permission to copy and/or distribute it,
8     # with or without modifications, as long as this notice is preserved.
9    
10     # This program is distributed in the hope that it will be useful,
11     # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12     # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13     # PARTICULAR PURPOSE.
14    
15     @SET_MAKE@
16    
17 gregoa 1690
18 gregoa 1680 VPATH = @srcdir@
19     pkgdatadir = $(datadir)/@PACKAGE@
20     pkglibdir = $(libdir)/@PACKAGE@
21     pkgincludedir = $(includedir)/@PACKAGE@
22     am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23     install_sh_DATA = $(install_sh) -c -m 644
24     install_sh_PROGRAM = $(install_sh) -c
25     install_sh_SCRIPT = $(install_sh) -c
26     INSTALL_HEADER = $(INSTALL_DATA)
27     transform = $(program_transform_name)
28     NORMAL_INSTALL = :
29     PRE_INSTALL = :
30     POST_INSTALL = :
31     NORMAL_UNINSTALL = :
32     PRE_UNINSTALL = :
33     POST_UNINSTALL = :
34     bin_PROGRAMS = bti$(EXEEXT)
35     subdir = .
36     DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
37     $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
38 gregoa 1690 $(top_srcdir)/configure COPYING ChangeLog INSTALL depcomp \
39     install-sh missing
40 gregoa 1680 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41     am__aclocal_m4_deps = $(top_srcdir)/configure.ac
42     am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
43     $(ACLOCAL_M4)
44     am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
45     configure.lineno config.status.lineno
46     mkinstalldirs = $(install_sh) -d
47     CONFIG_CLEAN_FILES =
48 gregoa 1690 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
49     "$(DESTDIR)$(man1dir)"
50 gregoa 1680 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
51     PROGRAMS = $(bin_PROGRAMS)
52     am_bti_OBJECTS = bti.$(OBJEXT)
53     bti_OBJECTS = $(am_bti_OBJECTS)
54     bti_LDADD = $(LDADD)
55 gregoa 1690 binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
56     SCRIPTS = $(bin_SCRIPTS)
57 gregoa 1680 DEFAULT_INCLUDES = -I.@am__isrc@
58     depcomp = $(SHELL) $(top_srcdir)/depcomp
59     am__depfiles_maybe = depfiles
60     COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
61     $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
62     CCLD = $(CC)
63     LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
64     SOURCES = $(bti_SOURCES)
65     DIST_SOURCES = $(bti_SOURCES)
66     man1dir = $(mandir)/man1
67     NROFF = nroff
68     MANS = $(dist_man_MANS)
69     ETAGS = etags
70     CTAGS = ctags
71     DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
72     distdir = $(PACKAGE)-$(VERSION)
73     top_distdir = $(distdir)
74     am__remove_distdir = \
75     { test ! -d $(distdir) \
76     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
77     && rm -fr $(distdir); }; }
78     DIST_ARCHIVES = $(distdir).tar.gz
79     GZIP_ENV = --best
80     distuninstallcheck_listfiles = find . -type f -print
81     distcleancheck_listfiles = find . -type f -print
82     ACLOCAL = @ACLOCAL@
83     AMTAR = @AMTAR@
84     AUTOCONF = @AUTOCONF@
85     AUTOHEADER = @AUTOHEADER@
86     AUTOMAKE = @AUTOMAKE@
87     AWK = @AWK@
88     CC = @CC@
89     CCDEPMODE = @CCDEPMODE@
90     CFLAGS = @CFLAGS@
91     CPPFLAGS = @CPPFLAGS@
92     CYGPATH_W = @CYGPATH_W@
93     DEFS = @DEFS@
94     DEPDIR = @DEPDIR@
95     ECHO_C = @ECHO_C@
96     ECHO_N = @ECHO_N@
97     ECHO_T = @ECHO_T@
98     EXEEXT = @EXEEXT@
99     INSTALL = @INSTALL@
100     INSTALL_DATA = @INSTALL_DATA@
101     INSTALL_PROGRAM = @INSTALL_PROGRAM@
102     INSTALL_SCRIPT = @INSTALL_SCRIPT@
103     INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
104     LDFLAGS = @LDFLAGS@
105     LIBCURL = @LIBCURL@
106     LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
107     LIBOBJS = @LIBOBJS@
108     LIBS = @LIBS@
109     LTLIBOBJS = @LTLIBOBJS@
110     MAKEINFO = @MAKEINFO@
111     MKDIR_P = @MKDIR_P@
112     OBJEXT = @OBJEXT@
113     PACKAGE = @PACKAGE@
114     PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
115     PACKAGE_NAME = @PACKAGE_NAME@
116     PACKAGE_STRING = @PACKAGE_STRING@
117     PACKAGE_TARNAME = @PACKAGE_TARNAME@
118     PACKAGE_VERSION = @PACKAGE_VERSION@
119     PATH_SEPARATOR = @PATH_SEPARATOR@
120     SET_MAKE = @SET_MAKE@
121     SHELL = @SHELL@
122     STRIP = @STRIP@
123     VERSION = @VERSION@
124     XML2_CONFIG = @XML2_CONFIG@
125     XML_CPPFLAGS = @XML_CPPFLAGS@
126     XML_LIBS = @XML_LIBS@
127     XSLTPROC = @XSLTPROC@
128     _libcurl_config = @_libcurl_config@
129     abs_builddir = @abs_builddir@
130     abs_srcdir = @abs_srcdir@
131     abs_top_builddir = @abs_top_builddir@
132     abs_top_srcdir = @abs_top_srcdir@
133     ac_ct_CC = @ac_ct_CC@
134     am__include = @am__include@
135     am__leading_dot = @am__leading_dot@
136     am__quote = @am__quote@
137     am__tar = @am__tar@
138     am__untar = @am__untar@
139     bindir = @bindir@
140     build_alias = @build_alias@
141     builddir = @builddir@
142     datadir = @datadir@
143     datarootdir = @datarootdir@
144     docdir = @docdir@
145     dvidir = @dvidir@
146     exec_prefix = @exec_prefix@
147     host_alias = @host_alias@
148     htmldir = @htmldir@
149     includedir = @includedir@
150     infodir = @infodir@
151     install_sh = @install_sh@
152     libdir = @libdir@
153     libexecdir = @libexecdir@
154     localedir = @localedir@
155     localstatedir = @localstatedir@
156     mandir = @mandir@
157     mkdir_p = @mkdir_p@
158     oldincludedir = @oldincludedir@
159     pdfdir = @pdfdir@
160     prefix = @prefix@
161     program_transform_name = @program_transform_name@
162     psdir = @psdir@
163     sbindir = @sbindir@
164     sharedstatedir = @sharedstatedir@
165     srcdir = @srcdir@
166     sysconfdir = @sysconfdir@
167     target_alias = @target_alias@
168     top_build_prefix = @top_build_prefix@
169     top_builddir = @top_builddir@
170     top_srcdir = @top_srcdir@
171 gregoa 1690 bin_SCRIPTS = \
172     bti-shrink-urls
173    
174 gregoa 1680 bti_SOURCES = \
175     bti.c
176    
177     dist_man_MANS = \
178     bti.1 \
179     bti-shrink-urls.1
180    
181     EXTRA_DIST = \
182     bti.xml \
183     bti-shrink-urls.xml \
184     bti.example \
185     bti-bashcompletion \
186     RELEASE-NOTES \
187     bti-shrink-urls
188    
189     MAINTAINERCLEANFILES = \
190     $(dist_man_MANS)
191    
192     PREVIOUS_VERSION = 0`expr $(VERSION) - 1`
193     AUTOMAKE_OPTIONS = foreign
194     all: all-am
195    
196     .SUFFIXES:
197     .SUFFIXES: .c .o .obj
198     am--refresh:
199     @:
200     $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
201     @for dep in $?; do \
202     case '$(am__configure_deps)' in \
203     *$$dep*) \
204     echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
205     cd $(srcdir) && $(AUTOMAKE) --foreign \
206     && exit 0; \
207     exit 1;; \
208     esac; \
209     done; \
210     echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
211     cd $(top_srcdir) && \
212     $(AUTOMAKE) --foreign Makefile
213     .PRECIOUS: Makefile
214     Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
215     @case '$?' in \
216     *config.status*) \
217     echo ' $(SHELL) ./config.status'; \
218     $(SHELL) ./config.status;; \
219     *) \
220     echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
221     cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
222     esac;
223    
224     $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
225     $(SHELL) ./config.status --recheck
226    
227     $(top_srcdir)/configure: $(am__configure_deps)
228     cd $(srcdir) && $(AUTOCONF)
229     $(ACLOCAL_M4): $(am__aclocal_m4_deps)
230     cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
231     install-binPROGRAMS: $(bin_PROGRAMS)
232     @$(NORMAL_INSTALL)
233     test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
234     @list='$(bin_PROGRAMS)'; for p in $$list; do \
235     p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
236     if test -f $$p \
237     ; then \
238     f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
239     echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
240     $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
241     else :; fi; \
242     done
243    
244     uninstall-binPROGRAMS:
245     @$(NORMAL_UNINSTALL)
246     @list='$(bin_PROGRAMS)'; for p in $$list; do \
247     f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
248     echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
249     rm -f "$(DESTDIR)$(bindir)/$$f"; \
250     done
251    
252     clean-binPROGRAMS:
253     -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
254     bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES)
255     @rm -f bti$(EXEEXT)
256     $(LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)
257 gregoa 1690 install-binSCRIPTS: $(bin_SCRIPTS)
258     @$(NORMAL_INSTALL)
259     test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
260     @list='$(bin_SCRIPTS)'; for p in $$list; do \
261     if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
262     if test -f $$d$$p; then \
263     f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
264     echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
265     $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
266     else :; fi; \
267     done
268 gregoa 1680
269 gregoa 1690 uninstall-binSCRIPTS:
270     @$(NORMAL_UNINSTALL)
271     @list='$(bin_SCRIPTS)'; for p in $$list; do \
272     f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
273     echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
274     rm -f "$(DESTDIR)$(bindir)/$$f"; \
275     done
276    
277 gregoa 1680 mostlyclean-compile:
278     -rm -f *.$(OBJEXT)
279    
280     distclean-compile:
281     -rm -f *.tab.c
282    
283     @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti.Po@am__quote@
284    
285     .c.o:
286     @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
287     @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
288     @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
289     @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
290     @am__fastdepCC_FALSE@ $(COMPILE) -c $<
291    
292     .c.obj:
293     @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
294     @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
295     @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
296     @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
297     @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
298     install-man1: $(man1_MANS) $(man_MANS)
299     @$(NORMAL_INSTALL)
300     test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
301     @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
302     l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
303     for i in $$l2; do \
304     case "$$i" in \
305     *.1*) list="$$list $$i" ;; \
306     esac; \
307     done; \
308     for i in $$list; do \
309     if test -f $$i; then file=$$i; \
310     else file=$(srcdir)/$$i; fi; \
311     ext=`echo $$i | sed -e 's/^.*\\.//'`; \
312     case "$$ext" in \
313     1*) ;; \
314     *) ext='1' ;; \
315     esac; \
316     inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
317     inst=`echo $$inst | sed -e 's/^.*\///'`; \
318     inst=`echo $$inst | sed '$(transform)'`.$$ext; \
319     echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
320     $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
321     done
322     uninstall-man1:
323     @$(NORMAL_UNINSTALL)
324     @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
325     l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
326     for i in $$l2; do \
327     case "$$i" in \
328     *.1*) list="$$list $$i" ;; \
329     esac; \
330     done; \
331     for i in $$list; do \
332     ext=`echo $$i | sed -e 's/^.*\\.//'`; \
333     case "$$ext" in \
334     1*) ;; \
335     *) ext='1' ;; \
336     esac; \
337     inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
338     inst=`echo $$inst | sed -e 's/^.*\///'`; \
339     inst=`echo $$inst | sed '$(transform)'`.$$ext; \
340     echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
341     rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
342     done
343    
344     ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
345     list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
346     unique=`for i in $$list; do \
347     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
348     done | \
349     $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
350     END { if (nonempty) { for (i in files) print i; }; }'`; \
351     mkid -fID $$unique
352     tags: TAGS
353    
354     TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
355     $(TAGS_FILES) $(LISP)
356     tags=; \
357     here=`pwd`; \
358     list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
359     unique=`for i in $$list; do \
360     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
361     done | \
362     $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
363     END { if (nonempty) { for (i in files) print i; }; }'`; \
364     if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
365     test -n "$$unique" || unique=$$empty_fix; \
366     $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
367     $$tags $$unique; \
368     fi
369     ctags: CTAGS
370     CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
371     $(TAGS_FILES) $(LISP)
372     tags=; \
373     list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
374     unique=`for i in $$list; do \
375     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
376     done | \
377     $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
378     END { if (nonempty) { for (i in files) print i; }; }'`; \
379     test -z "$(CTAGS_ARGS)$$tags$$unique" \
380     || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
381     $$tags $$unique
382    
383     GTAGS:
384     here=`$(am__cd) $(top_builddir) && pwd` \
385     && cd $(top_srcdir) \
386     && gtags -i $(GTAGS_ARGS) $$here
387    
388     distclean-tags:
389     -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
390    
391     distdir: $(DISTFILES)
392     $(am__remove_distdir)
393     test -d $(distdir) || mkdir $(distdir)
394     @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
395     topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
396     list='$(DISTFILES)'; \
397     dist_files=`for file in $$list; do echo $$file; done | \
398     sed -e "s|^$$srcdirstrip/||;t" \
399     -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
400     case $$dist_files in \
401     */*) $(MKDIR_P) `echo "$$dist_files" | \
402     sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
403     sort -u` ;; \
404     esac; \
405     for file in $$dist_files; do \
406     if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
407     if test -d $$d/$$file; then \
408     dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
409     if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
410     cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
411     fi; \
412     cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
413     else \
414     test -f $(distdir)/$$file \
415     || cp -p $$d/$$file $(distdir)/$$file \
416     || exit 1; \
417     fi; \
418     done
419     -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
420     ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
421     ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
422     ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
423     || chmod -R a+r $(distdir)
424     dist-gzip: distdir
425     tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
426     $(am__remove_distdir)
427    
428     dist-bzip2: distdir
429     tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
430     $(am__remove_distdir)
431    
432     dist-lzma: distdir
433     tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
434     $(am__remove_distdir)
435    
436     dist-tarZ: distdir
437     tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
438     $(am__remove_distdir)
439    
440     dist-shar: distdir
441     shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
442     $(am__remove_distdir)
443    
444     dist-zip: distdir
445     -rm -f $(distdir).zip
446     zip -rq $(distdir).zip $(distdir)
447     $(am__remove_distdir)
448    
449     dist dist-all: distdir
450     tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
451     $(am__remove_distdir)
452    
453     # This target untars the dist file and tries a VPATH configuration. Then
454     # it guarantees that the distribution is self-contained by making another
455     # tarfile.
456     distcheck: dist
457     case '$(DIST_ARCHIVES)' in \
458     *.tar.gz*) \
459     GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
460     *.tar.bz2*) \
461     bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
462     *.tar.lzma*) \
463     unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
464     *.tar.Z*) \
465     uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
466     *.shar.gz*) \
467     GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
468     *.zip*) \
469     unzip $(distdir).zip ;;\
470     esac
471     chmod -R a-w $(distdir); chmod a+w $(distdir)
472     mkdir $(distdir)/_build
473     mkdir $(distdir)/_inst
474     chmod a-w $(distdir)
475     dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
476     && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
477     && cd $(distdir)/_build \
478     && ../configure --srcdir=.. --prefix="$$dc_install_base" \
479     $(DISTCHECK_CONFIGURE_FLAGS) \
480     && $(MAKE) $(AM_MAKEFLAGS) \
481     && $(MAKE) $(AM_MAKEFLAGS) dvi \
482     && $(MAKE) $(AM_MAKEFLAGS) check \
483     && $(MAKE) $(AM_MAKEFLAGS) install \
484     && $(MAKE) $(AM_MAKEFLAGS) installcheck \
485     && $(MAKE) $(AM_MAKEFLAGS) uninstall \
486     && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
487     distuninstallcheck \
488     && chmod -R a-w "$$dc_install_base" \
489     && ({ \
490     (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
491     && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
492     && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
493     && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
494     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
495     } || { rm -rf "$$dc_destdir"; exit 1; }) \
496     && rm -rf "$$dc_destdir" \
497     && $(MAKE) $(AM_MAKEFLAGS) dist \
498     && rm -rf $(DIST_ARCHIVES) \
499     && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
500     $(am__remove_distdir)
501     @(echo "$(distdir) archives ready for distribution: "; \
502     list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
503     sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
504     distuninstallcheck:
505     @cd $(distuninstallcheck_dir) \
506     && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
507     || { echo "ERROR: files left after uninstall:" ; \
508     if test -n "$(DESTDIR)"; then \
509     echo " (check DESTDIR support)"; \
510     fi ; \
511     $(distuninstallcheck_listfiles) ; \
512     exit 1; } >&2
513     distcleancheck: distclean
514     @if test '$(srcdir)' = . ; then \
515     echo "ERROR: distcleancheck can only run from a VPATH build" ; \
516     exit 1 ; \
517     fi
518     @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
519     || { echo "ERROR: files left in build directory after distclean:" ; \
520     $(distcleancheck_listfiles) ; \
521     exit 1; } >&2
522     check-am: all-am
523     check: check-am
524 gregoa 1690 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
525 gregoa 1680 installdirs:
526 gregoa 1690 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
527 gregoa 1680 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
528     done
529     install: install-am
530     install-exec: install-exec-am
531     install-data: install-data-am
532     uninstall: uninstall-am
533    
534     install-am: all-am
535     @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
536    
537     installcheck: installcheck-am
538     install-strip:
539     $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
540     install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
541     `test -z '$(STRIP)' || \
542     echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
543     mostlyclean-generic:
544    
545     clean-generic:
546    
547     distclean-generic:
548     -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
549    
550     maintainer-clean-generic:
551     @echo "This command is intended for maintainers to use"
552     @echo "it deletes files that may require special tools to rebuild."
553     -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
554     clean: clean-am
555    
556     clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
557    
558     distclean: distclean-am
559     -rm -f $(am__CONFIG_DISTCLEAN_FILES)
560     -rm -rf ./$(DEPDIR)
561     -rm -f Makefile
562     distclean-am: clean-am distclean-compile distclean-generic \
563     distclean-local distclean-tags
564    
565     dvi: dvi-am
566    
567     dvi-am:
568    
569     html: html-am
570    
571     info: info-am
572    
573     info-am:
574    
575     install-data-am: install-man
576    
577     install-dvi: install-dvi-am
578    
579 gregoa 1690 install-exec-am: install-binPROGRAMS install-binSCRIPTS
580 gregoa 1680
581     install-html: install-html-am
582    
583     install-info: install-info-am
584    
585     install-man: install-man1
586    
587     install-pdf: install-pdf-am
588    
589     install-ps: install-ps-am
590    
591     installcheck-am:
592    
593     maintainer-clean: maintainer-clean-am
594     -rm -f $(am__CONFIG_DISTCLEAN_FILES)
595     -rm -rf $(top_srcdir)/autom4te.cache
596     -rm -rf ./$(DEPDIR)
597     -rm -f Makefile
598     maintainer-clean-am: distclean-am maintainer-clean-generic
599    
600     mostlyclean: mostlyclean-am
601    
602     mostlyclean-am: mostlyclean-compile mostlyclean-generic
603    
604     pdf: pdf-am
605    
606     pdf-am:
607    
608     ps: ps-am
609    
610     ps-am:
611    
612 gregoa 1690 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man
613 gregoa 1680
614     uninstall-man: uninstall-man1
615    
616     .MAKE: install-am install-strip
617    
618     .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
619     clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
620     dist-gzip dist-lzma dist-shar dist-tarZ dist-zip distcheck \
621     distclean distclean-compile distclean-generic distclean-local \
622     distclean-tags distcleancheck distdir distuninstallcheck dvi \
623     dvi-am html html-am info info-am install install-am \
624 gregoa 1690 install-binPROGRAMS install-binSCRIPTS install-data \
625     install-data-am install-dvi install-dvi-am install-exec \
626     install-exec-am install-html install-html-am install-info \
627     install-info-am install-man install-man1 install-pdf \
628     install-pdf-am install-ps install-ps-am install-strip \
629     installcheck installcheck-am installdirs maintainer-clean \
630     maintainer-clean-generic mostlyclean mostlyclean-compile \
631     mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
632     uninstall-am uninstall-binPROGRAMS uninstall-binSCRIPTS \
633 gregoa 1680 uninstall-man uninstall-man1
634    
635    
636     %.1: %.xml
637 gregoa 1690 $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
638 gregoa 1680
639     git-clean:
640     rm -f Makefile.in
641    
642     distclean-local:
643     rm -rf autom4te.cache
644    
645     changelog:
646     @ head -1 ChangeLog | grep -q "to v$(PREVIOUS_VERSION)"
647     @ mv ChangeLog ChangeLog.tmp
648     @ echo "Summary of changes from v$(PREVIOUS_VERSION) to v$(VERSION)" >> ChangeLog
649     @ echo "============================================" >> ChangeLog
650     @ echo >> ChangeLog
651     @ git log --pretty=short $(PREVIOUS_VERSION)..HEAD | git shortlog >> ChangeLog
652     @ echo >> ChangeLog
653     @ cat ChangeLog
654     @ cat ChangeLog.tmp >> ChangeLog
655     @ rm ChangeLog.tmp
656    
657     git-release:
658     head -1 ChangeLog | grep -q "to v$(VERSION)"
659     head -1 RELEASE-NOTES | grep -q "bti $(VERSION)"
660     git commit -a -m "release $(VERSION)"
661     cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
662     git gc
663     git prune
664     # Tell versions [3.59,3.63) of GNU make to not export all variables.
665     # Otherwise a system limit (for SysV at least) may be exceeded.
666     .NOEXPORT:

  ViewVC Help
Powered by ViewVC 1.1.26